View Issue Details

IDProjectCategoryView StatusLast Update
0000281Siril[All Projects] Sirilpublic2018-10-30 09:25
Reporterlock42Assigned Tolock42 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformGNU/Linux 64bitsOSDebianOS VersionTesting
Product Version0.9.9 
Target Version0.9.10Fixed in Version0.9.10 
Summary0000281: Implement Astrometry tool
DescriptionUse matching algorithm in order to implement a new astrometry tool.
TagsNo tags attached.

Relationships

related to 0000283 assignedlock42 Photometric color calibration tool 

Activities

There are no notes attached to this issue.

Related Changesets

Siril: 0.9 r2500

2018-10-16 15:52:00

lock42

Details
Issue 0000281. First commit of the very new PlateSolving function.
Everything seems working.
Code need to be cleaned, especially in the catalog parsing !!
Affected Issues
0000281
mod - /branches/0.9/po/el.po
mod - /branches/0.9/po/es_ES.po
mod - /branches/0.9/po/it_IT.po
mod - /branches/0.9/po/nl_BE.po
mod - /branches/0.9/po/uk.po
mod - /branches/0.9/po/zh_CN.po
mod - /branches/0.9/src/Makefile.am
add - /branches/0.9/src/algos/plateSolver.c
add - /branches/0.9/src/algos/plateSolver.h
mod - /branches/0.9/src/algos/star_finder.c
mod - /branches/0.9/src/algos/star_finder.h
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/gui/callbacks.c
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/io/image_format_fits.c
mod - /branches/0.9/src/registration/global.c
add - /branches/0.9/src/registration/matching/apply_match.c
add - /branches/0.9/src/registration/matching/apply_match.h
mod - /branches/0.9/src/registration/matching/atpmatch.h
add - /branches/0.9/src/registration/matching/degtorad.h
mod - /branches/0.9/src/registration/matching/match.c
mod - /branches/0.9/src/registration/matching/match.h
mod - /branches/0.9/src/registration/matching/misc.c
mod - /branches/0.9/src/registration/matching/misc.h
add - /branches/0.9/src/registration/matching/project_coords.c
add - /branches/0.9/src/registration/matching/project_coords.h

Siril: 0.9 r2501

2018-10-17 13:36:11

lock42

Details
Issue 0000281. Cleaning code Affected Issues
0000281
mod - /branches/0.9/src/algos/plateSolver.c
mod - /branches/0.9/src/gui/siril3.glade

Siril: 0.9 r2502

2018-10-18 13:21:28

lock42

Details
Issue 0000281. Cleaning and improving code Affected Issues
0000281
mod - /branches/0.9/ChangeLog
mod - /branches/0.9/NEWS
mod - /branches/0.9/src/algos/plateSolver.c
mod - /branches/0.9/src/algos/plateSolver.h
mod - /branches/0.9/src/registration/global.c
mod - /branches/0.9/src/registration/matching/match.h
mod - /branches/0.9/src/registration/matching/project_coords.c

Siril: 0.9 r2504

2018-10-18 16:54:04

lock42

Details
Issue 0000281. Cleaning and improving again Affected Issues
0000281
mod - /branches/0.9/src/algos/plateSolver.c
mod - /branches/0.9/src/algos/star_finder.c
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/registration/global.c
mod - /branches/0.9/src/registration/matching/match.c
mod - /branches/0.9/src/registration/matching/match.h
mod - /branches/0.9/src/registration/matching/project_coords.c

Siril: 0.9 r2512

2018-10-22 16:38:50

lock42

Details
Issue 0000281. Cleaning and improving again Affected Issues
0000281
mod - /branches/0.9/src/algos/plateSolver.c
mod - /branches/0.9/src/algos/plateSolver.h
mod - /branches/0.9/src/gui/siril3.glade

Siril: 0.9 r2519

2018-10-24 11:34:36

lock42

Details
Issue 0000281. Improving code Affected Issues
0000281
mod - /branches/0.9/po/el.po
mod - /branches/0.9/po/es_ES.po
mod - /branches/0.9/po/fr.po
mod - /branches/0.9/po/it_IT.po
mod - /branches/0.9/po/nl_BE.po
mod - /branches/0.9/po/zh_CN.po
mod - /branches/0.9/src/algos/plateSolver.c
mod - /branches/0.9/src/algos/plateSolver.h
mod - /branches/0.9/src/algos/star_finder.c
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/io/image_format_fits.c
mod - /branches/0.9/src/registration/global.c

Issue History

Date Modified Username Field Change
2018-10-16 15:50 lock42 New Issue
2018-10-16 15:50 lock42 Status new => assigned
2018-10-16 15:50 lock42 Assigned To => lock42
2018-10-16 15:52 lock42 Changeset attached => Siril 0.9 r2500
2018-10-17 13:36 lock42 Changeset attached => Siril 0.9 r2501
2018-10-18 13:21 lock42 Changeset attached => Siril 0.9 r2502
2018-10-18 16:54 lock42 Changeset attached => Siril 0.9 r2504
2018-10-22 16:38 lock42 Changeset attached => Siril 0.9 r2512
2018-10-24 11:34 lock42 Changeset attached => Siril 0.9 r2519
2018-10-30 09:23 lock42 Relationship added parent of 0000283
2018-10-30 09:24 lock42 Relationship replaced related to 0000283
2018-10-30 09:25 lock42 Status assigned => resolved
2018-10-30 09:25 lock42 Resolution open => fixed
2018-10-30 09:25 lock42 Fixed in Version => 0.9.10